SET VERIFY OFF;

---------------------------------------------------------
---------- IAU(Audit Services) SECTION STARTS ----------
---------------------------------------------------------


ALTER SESSION SET CURRENT_SCHEMA=TESTONE_IAU_VIEWER
/

CREATE OR REPLACE VIEW JPS_V AS
SELECT IAU_COMMON.IAU_COMPONENTTYPE AS ComponentType, 
 IAU_COMMON.IAU_MAJORVERSION AS MajorVersion, 
 IAU_COMMON.IAU_MINORVERSION AS MinorVersion, 
 IAU_COMMON.IAU_INSTANCEID AS InstanceId, 
 IAU_COMMON.IAU_HOSTID AS HostId, 
 IAU_COMMON.IAU_HOSTNWADDR AS HostNwaddr, 
 IAU_COMMON.IAU_MODULEID AS ModuleId, 
 IAU_COMMON.IAU_PROCESSID AS ProcessId, 
 IAU_COMMON.IAU_ORACLEHOME AS OracleHome, 
 IAU_COMMON.IAU_HOMEINSTANCE AS HomeInstance, 
 IAU_COMMON.IAU_ECID AS ECID, 
 IAU_COMMON.IAU_RID AS RID, 
 IAU_COMMON.IAU_CONTEXTFIELDS AS ContextFields, 
 IAU_COMMON.IAU_SESSIONID AS SessionId, 
 IAU_COMMON.IAU_TARGETCOMPONENTTYPE AS TargetComponentType, 
 IAU_COMMON.IAU_APPLICATIONNAME AS ApplicationName, 
 IAU_COMMON.IAU_EVENTTYPE AS EventType, 
 IAU_COMMON.IAU_EVENTCATEGORY AS EventCategory, 
 IAU_COMMON.IAU_EVENTSTATUS AS EventStatus, 
 IAU_COMMON.IAU_TSTZORIGINATING AS TstzOriginating, 
 IAU_COMMON.IAU_THREADID AS ThreadId, 
 IAU_COMMON.IAU_COMPONENTNAME AS ComponentName, 
 IAU_COMMON.IAU_INITIATOR AS Initiator, 
 IAU_COMMON.IAU_MESSAGETEXT AS MessageText, 
 IAU_COMMON.IAU_FAILURECODE AS FailureCode, 
 IAU_COMMON.IAU_REMOTEIP AS RemoteIP, 
 IAU_COMMON.IAU_TARGET AS Target, 
 IAU_COMMON.IAU_RESOURCE AS IAU_RESOURCE, 
 IAU_COMMON.IAU_ROLES AS Roles, 
 IAU_COMMON.IAU_DOMAINNAME AS DomainName, 
 IAU_COMMON.IAU_COMPONENTDATA AS ComponentData, 
 IAU_COMMON.IAU_AUDITUSER AS AuditUser, 
 IAU_COMMON.IAU_TENANTID AS TenantId, 
 IAU_COMMON.IAU_TRANSACTIONID AS TransactionId, 
 IAU_COMMON.IAU_USERTENANTID AS UserTenantId, 
 IAU_COMMON.IAU_SERVERNAME AS ServerName, 
 IAU_CUSTOM_01.IAU_STRING_016 AS AuthenticatedRole, 
 IAU_CUSTOM_01.IAU_STRING_017 AS AnonymousRole, 
 IAU_CUSTOM_01.IAU_STRING_018 AS AnonymousUser, 
 IAU_CUSTOM_01.IAU_STRING_019 AS credStoreContext, 
 IAU_CUSTOM_01.IAU_STRING_001 AS XmlExpression, 
 IAU_CUSTOM_01.IAU_STRING_002 AS XmlExpressionOld, 
 IAU_CUSTOM_01.IAU_STRING_003 AS ActionCollRefs, 
 IAU_CUSTOM_01.IAU_STRING_004 AS ActionCollRefsOld, 
 IAU_CUSTOM_01.IAU_STRING_005 AS AclParameters, 
 IAU_CUSTOM_01.IAU_STRING_006 AS AclParametersOld, 
 IAU_CUSTOM_01.IAU_STRING_007 AS ApplicableDBRes, 
 IAU_CUSTOM_01.IAU_STRING_008 AS ApplicableDBResOld, 
 IAU_CUSTOM_01.IAU_STRING_009 AS ActionCollName, 
 IAU_CUSTOM_01.IAU_STRING_010 AS ImpliedActions, 
 IAU_CUSTOM_01.IAU_STRING_011 AS ImpliedActionsOld, 
 IAU_CUSTOM_01.IAU_STRING_012 AS AttrCollName, 
 IAU_CUSTOM_01.IAU_STRING_013 AS HandlerFunction, 
 IAU_CUSTOM_01.IAU_STRING_014 AS HandlerFunctionOld, 
 IAU_CUSTOM_01.IAU_STRING_015 AS PolicySetRef, 
 IAU_CUSTOM_01.IAU_STRING_020 AS Properties, 
 IAU_CUSTOM_01.IAU_STRING_021 AS ServiceType, 
 IAU_USERSESSION.IAU_AUTHENTICATIONMETHOD AS AuthenticationMethod, 
 IAU_CUSTOM.IAU_STRING_071 AS EnterpriseRoles, 
 IAU_CUSTOM.IAU_STRING_069 AS ApplicationRole, 
 IAU_CUSTOM.IAU_STRING_001 AS CodeSource, 
 IAU_CUSTOM.IAU_STRING_002 AS Principals, 
 IAU_CUSTOM.IAU_STRING_003 AS InitiatorGUID, 
 IAU_CUSTOM.IAU_STRING_004 AS InitiatorDN, 
 IAU_CUSTOM.IAU_STRING_005 AS Subject, 
 IAU_CUSTOM.IAU_STRING_006 AS PermissionAction, 
 IAU_CUSTOM.IAU_STRING_007 AS PermissionTarget, 
 IAU_CUSTOM.IAU_STRING_008 AS PermissionClass, 
 IAU_CUSTOM.IAU_STRING_009 AS PermissionCheckResult, 
 IAU_CUSTOM.IAU_STRING_010 AS RuntimeResource, 
 IAU_CUSTOM.IAU_STRING_011 AS RuntimeAction, 
 IAU_CUSTOM.IAU_STRING_012 AS AppContext, 
 IAU_CUSTOM.IAU_STRING_013 AS Direction, 
 IAU_CUSTOM.IAU_STRING_014 AS AccessResult, 
 IAU_CUSTOM.IAU_STRING_015 AS mapName, 
 IAU_CUSTOM.IAU_STRING_016 AS IAU_key, 
 IAU_CUSTOM.IAU_STRING_017 AS ManagedApplication, 
 IAU_CUSTOM.IAU_STRING_018 AS PolicyName, 
 IAU_CUSTOM.IAU_STRING_019 AS PolicyDomainName, 
 IAU_CUSTOM.IAU_STRING_020 AS PolicyPrincipals, 
 IAU_CUSTOM.IAU_STRING_021 AS PolicyCodeSource, 
 IAU_CUSTOM.IAU_STRING_022 AS PermissionScope, 
 IAU_CUSTOM.IAU_STRING_023 AS PolicyRules, 
 IAU_CUSTOM.IAU_STRING_024 AS PermSets, 
 IAU_CUSTOM.IAU_STRING_025 AS ResourceActions, 
 IAU_CUSTOM.IAU_STRING_026 AS Obligations, 
 IAU_CUSTOM.IAU_STRING_027 AS PolicySemantic, 
 IAU_CUSTOM.IAU_STRING_028 AS PolicyIssuer, 
 IAU_CUSTOM.IAU_STRING_029 AS PolicyDefaults, 
 IAU_CUSTOM.IAU_STRING_030 AS Advices, 
 IAU_CUSTOM.IAU_STRING_031 AS Version, 
 IAU_CUSTOM.IAU_STRING_032 AS RuleCombiningAlgorithmID, 
 IAU_CUSTOM.IAU_STRING_033 AS EnvironmentConstraint, 
 IAU_CUSTOM.IAU_STRING_034 AS ResourceConstraint, 
 IAU_CUSTOM.IAU_STRING_035 AS ActionConstraint, 
 IAU_CUSTOM.IAU_STRING_036 AS PrincipalConstraint, 
 IAU_CUSTOM.IAU_STRING_037 AS PolicyPrincipalsOld, 
 IAU_CUSTOM.IAU_STRING_038 AS PolicyCodeSourceOld, 
 IAU_CUSTOM.IAU_STRING_039 AS PolicyRulesOld, 
 IAU_CUSTOM.IAU_STRING_040 AS PermSetsOld, 
 IAU_CUSTOM.IAU_STRING_041 AS ResourceActionsOld, 
 IAU_CUSTOM.IAU_STRING_042 AS ObligationsOld, 
 IAU_CUSTOM.IAU_STRING_043 AS PolicyIssuerOld, 
 IAU_CUSTOM.IAU_STRING_044 AS PolicyDefaultsOld, 
 IAU_CUSTOM.IAU_STRING_045 AS AdvicesOld, 
 IAU_CUSTOM.IAU_STRING_046 AS VersionOld, 
 IAU_CUSTOM.IAU_STRING_047 AS RuleCombiningAlgorithmIDOld, 
 IAU_CUSTOM.IAU_STRING_048 AS EnvironmentConstraintOld, 
 IAU_CUSTOM.IAU_STRING_049 AS ResourceConstraintOld, 
 IAU_CUSTOM.IAU_STRING_050 AS ActionConstraintOld, 
 IAU_CUSTOM.IAU_STRING_051 AS PrincipalConstraintOld, 
 IAU_CUSTOM.IAU_INT_001 AS PolicyType, 
 IAU_CUSTOM.IAU_INT_002 AS PolicyCategory, 
 IAU_CUSTOM.IAU_STRING_070 AS IAU_Cascade, 
 IAU_CUSTOM.IAU_STRING_052 AS PolicyRuleName, 
 IAU_CUSTOM.IAU_STRING_053 AS PrincipalsTarget, 
 IAU_CUSTOM.IAU_STRING_054 AS CodeSourceTarget, 
 IAU_CUSTOM.IAU_STRING_055 AS Efect, 
 IAU_CUSTOM.IAU_STRING_056 AS Condition, 
 IAU_CUSTOM.IAU_STRING_057 AS PrincipalsTargetOld, 
 IAU_CUSTOM.IAU_STRING_058 AS CodeSourceTargetOld, 
 IAU_CUSTOM.IAU_STRING_059 AS EfectOld, 
 IAU_CUSTOM.IAU_STRING_060 AS ConditionOld, 
 IAU_CUSTOM.IAU_STRING_061 AS PolicyApplicationRolePrincipal, 
 IAU_CUSTOM.IAU_STRING_062 AS RoleMembers, 
 IAU_CUSTOM.IAU_STRING_063 AS ResourceNames, 
 IAU_CUSTOM.IAU_STRING_064 AS ResourceNameExpressions, 
 IAU_CUSTOM.IAU_STRING_065 AS PolicyApplicationRolePrinciOld, 
 IAU_CUSTOM.IAU_STRING_066 AS RoleMembersOld, 
 IAU_CUSTOM.IAU_STRING_067 AS ResourceNamesOld, 
 IAU_CUSTOM.IAU_STRING_068 AS ResourceNameExpressionsOld, 
 IAU_CUSTOM.IAU_STRING_072 AS GUID, 
 IAU_CUSTOM.IAU_STRING_073 AS Permission, 
 IAU_CUSTOM.IAU_STRING_074 AS ResName, 
 IAU_CUSTOM.IAU_STRING_075 AS ResTypeName, 
 IAU_CUSTOM.IAU_STRING_076 AS ResourceAttributes, 
 IAU_CUSTOM.IAU_STRING_077 AS ModifiedAttributeName, 
 IAU_CUSTOM.IAU_STRING_078 AS ModifiedAttributeValue, 
 IAU_CUSTOM.IAU_STRING_079 AS ModifiedAttributeValueOld, 
 IAU_CUSTOM.IAU_STRING_080 AS ResourceAttributesOld, 
 IAU_CUSTOM.IAU_STRING_099 AS SqlPredicate, 
 IAU_CUSTOM.IAU_STRING_100 AS SqlPredicateOld, 
 IAU_CUSTOM.IAU_STRING_081 AS PermissionSetName, 
 IAU_CUSTOM.IAU_STRING_082 AS ResourceType, 
 IAU_CUSTOM.IAU_STRING_083 AS AdminRoleName, 
 IAU_CUSTOM.IAU_STRING_084 AS stripeName, 
 IAU_CUSTOM.IAU_STRING_085 AS keystoreName, 
 IAU_CUSTOM.IAU_STRING_086 AS alias, 
 IAU_CUSTOM.IAU_STRING_087 AS operation, 
 IAU_CUSTOM.IAU_STRING_088 AS Flush, 
 IAU_CUSTOM.IAU_STRING_089 AS PdpAddress, 
 IAU_CUSTOM.IAU_STRING_090 AS PurgeTime, 
 IAU_CUSTOM.IAU_STRING_091 AS ConfigurationId, 
 IAU_CUSTOM.IAU_STRING_092 AS PolicySetName, 
 IAU_CUSTOM.IAU_STRING_093 AS PolicySetDefaults, 
 IAU_CUSTOM.IAU_STRING_094 AS PoliciesAndPolicySets, 
 IAU_CUSTOM.IAU_STRING_095 AS CombiningAlgorithmID, 
 IAU_CUSTOM.IAU_STRING_096 AS PolicyCombiningAlgorithmID, 
 IAU_CUSTOM.IAU_STRING_097 AS PolicyCombiningAlgorithmIDOld, 
 IAU_CUSTOM.IAU_STRING_098 AS PoliciesAndPolicySetsOld, 
 IAU_AUDITSERVICE.IAU_TRANSACTIONID AS AUDITSERVICE_TRANSACTIONID
 FROM IAU_COMMON, IAU_CUSTOM_01, IAU_USERSESSION, IAU_CUSTOM, IAU_AUDITSERVICE WHERE IAU_COMMON.IAU_ID = IAU_CUSTOM_01.IAU_ID AND IAU_COMMON.IAU_ID = IAU_USERSESSION.IAU_ID AND IAU_COMMON.IAU_ID = IAU_CUSTOM.IAU_ID AND IAU_COMMON.IAU_ID = IAU_AUDITSERVICE.IAU_ID AND IAU_COMMON.IAU_ComponentType = 'JPS'
/

UPDATE SYSTEM.SCHEMA_VERSION_REGISTRY SET status='VALID', modified=CURRENT_TIMESTAMP WHERE comp_id='IAU' AND mrc_name='TESTONE'
/

---------------------------------------------------------
---------- IAU(Audit Services) SECTION ENDS ----------
---------------------------------------------------------


EXIT;